-- debug = true
require 'tablesave'
require 'tools'
require 'stat'
require 'menu'
require 'gra'

love.graphics.setDefaultFilter("nearest", "nearest") --disable blurry scaling
local push = require "push"
-- gameWidth, gameHeight = 256, 240 --nes
gameWidth, gameHeight = 1280, 720 --gb
-- local windowWidth, windowHeight = love.window.getDesktopDimensions()
local windowWidth, windowHeight = 1280,720
push:setupScreen(gameWidth, gameHeight, windowWidth, windowHeight, {fullscreen = false,resizable = true, pixelperfect = true})
-- push:setupScreen(gameWidth, gameHeight, windowWidth, windowHeight, {fullscreen = false,resizable = true, pixelperfect = true})
push:setBorderColor{0, 0, 0}


-- imgDir = "/assets/"
gameversion = 0.1
gs = 0

paper = false

function love.load()	
	-- autosavestat()		
	love.mouse.setVisible(false)	
	loadgraphics()	
end

function love.update(dt)
	--tools var
	varsenoid = varsenoid + 2.4*dt	--snoid		
	
	fadetimer(1.5,dt)	
	if fade.t == "out" then gs = mouse.index end
	
	-- mouse.x = love.mouse.getX()
	-- mouse.y = love.mouse.getY()
	-- mouse.x , mouse.y = love.mouse.getPosition()
	mouse.x, mouse.y = love.mouse.getPosition()
    mouse.x, mouse.y = push:toGame(mouse.x, mouse.y)
	
	--
	
	u(dt)	
	
	if gs == 0 then 
		-- m_m1:setLooping(true)
		-- m_m1:play()		
		-- m_m1:setVolume(0.1)
		-- option = "none"
	end
	if gs == 1 then
		-- m_m1:stop()
		-- m_m2:setLooping(true)
		-- m_m2:play()
		-- m_m2:setVolume(0.05)		
	end
	
	-- if gs == 2 and paper==false then s_paper:stop() s_paper:play() paper = true end
	-- if gs == 3 and paper==false then s_paper:stop() s_paper:play() paper = true end
	-- if gs == 0 then paper = false end	
end

function love.draw()	
	push:start()	
	lg.setColor(1,1,1,1)	
	
	if gs == 0 then			
		lg.setColor(1,1,1,1)
		-- lg.draw(bg0.img,bg0.x,bg0.y,0,0.6,0.6)	
		-- lg.draw(bg0.img,bg0.x,bg0.y)	
		lg.setFont(fonts.title)
		lg.print("BOARD",320,180)	
		lg.setFont(fonts.default)	
		menu(0,menu_start,325,200,3)			
	end
		
	if gs == 1 then	
		draw()			
	end	
	
	menugra()
	
	--mouse draw
	if gs == 0 or gs == 1 or gs == 2 or gs == 3 then 
		lg.setColor(0.5,0,0,1)
		-- lg.rectangle("fill",love.mouse.getX(),love.mouse.getY(),10,10)		
		lg.draw(mouse.img,mouse.x,mouse.y,0,1,1,mouse.w/2,mouse.h/2)		
	end
	-- debug mouse
	-- love.graphics.printf("mouse x : " .. (mouse.x or "outside"), 25, 25, gameWidth, "left")
    -- love.graphics.printf("mouse y : " .. (mouse.y or "outside"), 25, 50, gameWidth, "left")
	
	lg.setColor(0,0,0,1)
	
	--FADE IN/OUT
	fadedraw(gameWidth, gameHeight)
	lg.setColor(1,1,1,1)	
	-- lg.print(":: "..fade.t.."/ "..fade.a_in.."  "..mouse.index.." "..tostring(fade.act), 10,10)
	push:finish()
end	

function love.mousepressed(x, y, button, istouch)
	if fade.t == "none" then 
		if button == 1 and gs == 0 then
			varselectmenu = true		
		end
	
		if button == 2 and gs == 2
		or button == 2 and gs == 3
		or button == 2 and gs == 4
		then	   		
			if fade.t == "none" then 
				fade.act = true
				mouse.index = 0
			end
		end	
	
		if button == 1 and gs == 1 then
			varselectmenu = true			
		end		
		
	end		
end

function love.mousereleased(x, y, button)
   if button == 1 then varselectmenu = false end         
end